This endpoint returns a list of all your connected carrier accounts, along with helpful information about each account, its options, the services it offers, etc.
To request these details for a specific carrier, rather than all carriers, add the carrier_id to the endpoint. See our Get a Single Carrier reference for details.
One of the most important pieces of information in the List Carriers response is the carrier_id. Each of your carriers has a unique carrier_id, which you'll use to specify the carrier account for many ShipStation API endpoints.
For example, when creating a label, you'll explicitly specify the carrier_id for the account the label should come from. Similarly, when calculating shipping costs, you may want to specify the carrier_id of the account that you know has the best rates for the type of package.
GET /v1/carriers/
GET /v1/carriers HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Response
Note: Some carriers may include a
connection_statusfield indicating the approval state of the carrier connection. Possible values areapprovedorpending_approval.
{
"carriers": [
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"account_number": null,
"requires_funded_amount": true,
"balance": 0.0,
"nickname": "Free",
"friendly_name": "Stamps.com",
"primary": true,
"has_multi_package_supporting_services": false,
"services": [
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_first_class_mail",
"name": "USPS First Class Mail",
"domestic": true,
"international": false,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_media_mail",
"name": "USPS Media Mail",
"domestic": true,
"international": false,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_parcel_select",
"name": "USPS Parcel Select Ground",
"domestic": true,
"international": false,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_priority_mail",
"name": "USPS Priority Mail",
"domestic": true,
"international": false,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_priority_mail_express",
"name": "USPS Priority Mail Express",
"domestic": true,
"international": false,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_first_class_mail_international",
"name": "USPS First Class Mail Intl",
"domestic": false,
"international": true,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_priority_mail_international",
"name": "USPS Priority Mail Intl",
"domestic": false,
"international": true,
"is_multi_package_supported": false
},
{
"carrier_id": "se-123890",
"carrier_code": "stamps_com",
"service_code": "usps_priority_mail_express_international",
"name": "USPS Priority Mail Express Intl",
"domestic": false,
"international": true,
"is_multi_package_supported": false
}
],
"packages": [
{
"package_id": null,
"package_code": "flat_rate_envelope",
"name": "Flat Rate Envelope",
"description": "USPS flat rate envelope. A special cardboard envelope provided by the USPS that clearly indicates Flat Rate."
},
{
"package_id": null,
"package_code": "flat_rate_legal_envelope",
"name": "Flat Rate Legal Envelope",
"description": "Flat Rate Legal Envelope"
},
{
"package_id": null,
"package_code": "flat_rate_padded_envelope",
"name": "Flat Rate Padded Envelope",
"description": "Flat Rate Padded Envelope"
},
{
"package_id": null,
"package_code": "large_envelope_or_flat",
"name": "Large Envelope or Flat",
"description": "Large envelope or flat. Has one dimension that is between 11 1/2 and 15 long, 6 1/18 and 12 high, or 1/4 and 3/4 thick."
},
{
"package_id": null,
"package_code": "large_flat_rate_box",
"name": "Large Flat Rate Box",
"description": "Large Flat Rate Box"
},
{
"package_id": null,
"package_code": "large_package",
"name": "Large Package (any side > 12)",
"description": "Large package. Longest side plus the distance around the thickest part is over 84 and less than or equal to 108."
},
{
"package_id": null,
"package_code": "letter",
"name": "Letter",
"description": "Letter"
},
{
"package_id": null,
"package_code": "medium_flat_rate_box",
"name": "Medium Flat Rate Box",
"description": "USPS flat rate box. A special 11 x 8 1/2 x 5 1/2 or 14 x 3.5 x 12 USPS box that clearly indicates Flat Rate Box"
},
{
"package_id": null,
"package_code": "package",
"name": "Package",
"description": "Package. Longest side plus the distance around the thickest part is less than or equal to 84"
},
{
"package_id": null,
"package_code": "regional_rate_box_a",
"name": "Regional Rate Box A",
"description": "Regional Rate Box A"
},
{
"package_id": null,
"package_code": "regional_rate_box_b",
"name": "Regional Rate Box B",
"description": "Regional Rate Box B"
},
{
"package_id": null,
"package_code": "small_flat_rate_box",
"name": "Small Flat Rate Box",
"description": "Small Flat Rate Box"
},
{
"package_id": null,
"package_code": "thick_envelope",
"name": "Thick Envelope",
"description": "Thick envelope. Envelopes or flats greater than 3/4 at the thickest point."
}
],
"options": [],
"send_rates": false,
"supports_user_managed_rates": false,
"connection_status": "approved"
}
],
"request_id": "fd27e4f2-4dfb-4963-ad46-e6b4f1658439",
"errors": []
}